Search documentation of Cartouche

# Cartouche.Contract.Sleuth (Cartouche v0.1.2)

Copy Markdown View Source

This module was auto-generated by Cartouche. Any changes may be lost.

See `mix help cartouche.gen` for more information.

## Summary

### Functions

build_trx_query(contract, q, c)
build_trx_query_ed815d83(contract, q)
bytecode()
call_query(contract, q, c, opts \\ [])
call_query_ed815d83(contract, q, opts \\ [])
contract_name()
decode_call(calldata)
decode_error(_)
decode_event(_)
decode_query_call(arg)
decode_query_ed815d83_call(arg)
deployed_bytecode()
encode_query(q, c)
encode_query_ed815d83(q)
estimate_gas_query(contract, q, c, opts \\ [])
estimate_gas_query_ed815d83(contract, q, opts \\ [])
execute_query(contract, q, c, opts \\ [])
execute_query_ed815d83(contract, q, opts \\ [])
prepare_query(contract, q, c, opts \\ [])
prepare_query_ed815d83(contract, q, opts \\ [])
query_ed815d83_selector()
query_selector()

## Functions

# build_trx_query(contract, q, c)

# build_trx_query_ed815d83(contract, q)

# bytecode()

# call_query(contract, q, c, opts \\ [])

# call_query_ed815d83(contract, q, opts \\ [])

# contract_name()

# decode_call(calldata)

# decode_error(_)

# decode_event(_)

# decode_query_call(arg)

# decode_query_ed815d83_call(arg)

# deployed_bytecode()

# encode_query(q, c)

# encode_query_ed815d83(q)

# estimate_gas_query(contract, q, c, opts \\ [])

# estimate_gas_query_ed815d83(contract, q, opts \\ [])

# execute_query(contract, q, c, opts \\ [])

# execute_query_ed815d83(contract, q, opts \\ [])

# prepare_query(contract, q, c, opts \\ [])

# prepare_query_ed815d83(contract, q, opts \\ [])

# query_ed815d83_selector()

# query_selector()